﻿Option Strict On
Imports Microsoft.Phone.Tasks
Imports System.Windows.Media.Imaging
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub mailSendButton_Click(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles mailSendButton.Click
        Dim sendMailTask As New EmailComposeTask
        With sendMailTask
            .To = "test@test.com"
            .Subject = "メールを送るテスト"
            .Body = "Windows Phone 7からメールを送ります。"
            .Cc = "test2@test.com"
        End With
        sendMailTask.Show()
    End Sub

    Private Sub mediaButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles mediaButton.Click
        Dim mediaTask As New MediaPlayerLauncher
        With mediaTask
            .Location = MediaLocationType.Install
            .Controls = MediaPlaybackControls.All
            .Media = New Uri("dougo320.wmv", UriKind.Relative)
        End With
        mediaTask.Show()
    End Sub

    Private Sub callPhoneButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles callPhoneButton.Click
        NavigationService.Navigate(New Uri("/SelectPhoneNumberPage.xaml", UriKind.Relative))
    End Sub

    Private Sub saveAddressButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles saveAddressButton.Click
        Dim saveMailTask As New SaveEmailAddressTask
        saveMailTask.Show()
    End Sub

    Private Sub saveTelButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles saveTelButton.Click
        Dim saveTelTask As New SavePhoneNumberTask
        saveTelTask.PhoneNumber = String.Empty
        saveTelTask.Show()
    End Sub

    Private Sub searchButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles searchButton.Click
        Dim searchTask As New SearchTask
        searchTask.SearchQuery = String.Empty
        searchTask.Show()
    End Sub

    Private Sub webBrowserButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles webBrowserButton.Click
        Dim browserTask As New WebBrowserTask
        browserTask.URL = String.Empty
        browserTask.Show()
    End Sub

    Private Sub addressButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles addressButton.Click
        Dim addressTask As New EmailAddressChooserTask
        AddHandler addressTask.Completed, Sub(addressSender As Object, addressArgs As EmailResult)
                                              If addressArgs.TaskResult = TaskResult.OK Then
                                                  MessageBox.Show(addressArgs.Email)
                                              End If
                                          End Sub
        addressTask.Show()
    End Sub

    Private Sub telButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles telButton.Click
        Dim telTask As New PhoneNumberChooserTask
        AddHandler telTask.Completed, Sub(phoneSender As Object, phoneArgs As PhoneNumberResult)
                                          If phoneArgs.TaskResult = TaskResult.OK Then
                                              MessageBox.Show(phoneArgs.PhoneNumber)
                                          End If
                                      End Sub
        telTask.Show()
    End Sub

    Private Sub photoButton_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles photoButton.Click
        Dim photoTask As New PhotoChooserTask
        AddHandler photoTask.Completed, Sub(photoSender As Object, photoArgs As PhotoResult)
                                            If photoArgs.TaskResult = TaskResult.OK Then
                                                Dim bmp As New BitmapImage
                                                bmp.SetSource(photoArgs.ChosenPhoto)
                                                Dim myImage As New Image
                                                myImage.Source = bmp
                                                ContentPanel.Children.Add(myImage)
                                                AddHandler myImage.MouseLeftButtonDown, Sub(myImageSender As Object, myImageArgs As MouseButtonEventArgs)
                                                                                            Dim selectImage As Image = DirectCast(myImageSender, Image)
                                                                                            selectImage.Source = Nothing
                                                                                        End Sub
                                            End If
                                        End Sub
        photoTask.Show()
    End Sub
End Class
